Subject: Re: Compiling V with ver b18
From: [email-masked] (Alain CULOS)

10 Apr 1998 07:42:58 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

Hi Thomas,

I have been successful, but be aware I'm no expert.
I've had to make up the config.mk in V's root directory.
In one file, I can't remember which now, I had to change a couple of 'far' in 'FAR'.
And I used the provided contribution makefiles for cygnus or is it djgpp which I had to modify quite a lot.

The latest V version 1.18 comes with a separate set of makefiles for mingw32, they will probably work much better even for b18 than the mess I made with b18.
Maybe you should simply have a look at this file, quite a small tgz, I expect adaptations to be quite small.
One change you will have to do is in the may config.mk file to comment out the LIBs definition and replace it with -mwindows -lcomctl32 or something of that effect.

I hope this helps,
If you want me to check in more detail I can, I just wanted to reply as fast as I could, as I have very little time for myself, but if you're really in need for more help do not hesitate.
Cheers,
Al.

Thomas Langenback wrote:

> I downloaded V (a freeware c++ compiler) from
> http://www.cs.unm.edu/~wampler/vgui/vgui.html and was wondering if
> anyone has use version b18 to successfully compile this thing.  If so, I
> could use some suggestions as to how.
>
> Thanks.

--ANTI SPAM / ANTI ARROSAGE COMMERCIAL :
Pour me répondre, veuillez enlever le Z de mon adresse.
To answer me, please take out the Z from my address.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".